ClassValueRestriction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class ClassValueRestriction

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.ClassExpression
              fr.inrialpes.exmo.align.impl.edoal.ClassRestriction
                  fr.inrialpes.exmo.align.impl.edoal.ClassValueRestriction

All Implemented Interfaces:
  Cloneable, Visitable

    public class ClassValueRestriction

extends ClassRestriction
implements Cloneable

Represents a type valueCondition tag for PropertyExpressions.

$Id: ClassValueRestriction.java 1365 2010-03-26 21:46:46Z euzenat $

Created on 24-Mar-2005 Committed by $Author: poettler_ric $

Version:
  $Revision: 1.6 $ $Date: 2010-03-07 20:40:05 +0100 (Sun, 07 Mar 2010) $
Author:
  Richard Pöttler

Field Summary
`(package private) Comparator` | `comparator`
`(package private) ValueExpression` | `value`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.ClassRestriction
`constrainedPath`

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`ClassValueRestriction(PathExpression p, Comparator comp, ValueExpression v)` Constructs a valueCondition with the given restriction.

Method Summary
`Comparator` | `getComparator()`
`ValueExpression` | `getValue()`
`void` | `setComparator(Comparator comp)`
`void` | `setValue(ValueExpression v)`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.ClassRestriction
`getRestrictionPath, setRestrictionPath`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### comparator

    Comparator comparator

### value

    ValueExpression value

Constructor Detail

### ClassValueRestriction

    public ClassValueRestriction(PathExpression p,
                                 Comparator comp,
                                 ValueExpression v)

  Constructs a valueCondition with the given restriction.

  Parameters:
    `res` - the restriction for the domain
    `target` - the target expression which should be restricted
  Throws:
    `NullPointerException` - if the restriction is null

Method Detail

### getComparator

    public Comparator getComparator()

### setComparator

    public void setComparator(Comparator comp)

### getValue

    public ValueExpression getValue()

### setValue

    public void setValue(ValueExpression v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010